# Set some default parameters for ggcyto

Source: `R/ggcyto_par.R`
`ggcyto_par_set.Rd`

Use this function to modify ggcyto parameters These are the regular (or to be instantiated as) scales, labs, facet objects. They can be added as a single layer to the plot for the convenience.

    ggcyto_par_set(...)

## Arguments

... | a list of element name, element pairings that modify the existing parameter settings

## Value

a list of new settings for ggycto

## elements

The individual elements are:

limits | can be "data"(default) or "instrument" or a list of numeric limits for x and y (e.g. `list(x = c(0, 4000))`)
facet | the regular facet object
hex_fill | default scale_fill_gradientn for geom_hex layer
lab | labs_cyto object

## Examples

    library(ggcyto)
    dataDir <- system.file("extdata",package="flowWorkspaceData")
    gs <- load_gs(list.files(dataDir, pattern = "gs_manual",full = TRUE))

    p <- ggcyto(gs, aes(x = CD4, y = CD8), subset = "CD3+")
    # 2d plot
    p <- p + geom_hex(bins = 64)
    p
    #use instrument range by overwritting the default limits settings
    p + ggcyto_par_set(limits = "instrument")#> Coordinate system already present. Adding new coordinate system, which will replace the existing one.
    #manually set limits
    myPars <- ggcyto_par_set(limits = list(x = c(0,3.2e3), y = c(-10, 3.5e3)))
     p  + myPars# or xlim(0,3.2e3) + ylim(-10, 3.5e3) #> Coordinate system already present. Adding new coordinate system, which will replace the existing one.